Skip to main content
`Ctrl`+`K`

# HistEqStretch

class astropy.visualization.HistEqStretch(data, values=None)

  Bases: `BaseStretch`

  A histogram equalization stretch.

  Parameters:
    data numpy:array_like

      The data defining the equalization.

    values numpy:array_like, optional

      The input image values, which should already be normalized to the [0:1] range.

  Attributes Summary

  `inverse` | A stretch object that performs the inverse operation.

  Methods Summary

  `__call__`(values[, clip, out]) | Transform values using this stretch.

  Attributes Documentation

  inverse

    A stretch object that performs the inverse operation.

  Methods Documentation

  __call__(values, clip=True, out=None)

    Transform values using this stretch.

    Parameters:
      values numpy:array_like

        The input values, which should already be normalized to the [0:1] range.

      clip bool, optional

        If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

      out `ndarray`, optional

        If specified, the output values will be placed in this array (typically used for in-place calculations).

    Returns:
      result `ndarray`

        The transformed values.